Post by seanpam » Tue May 21, 2024 12:57 am

Hi,

I'm doing a fresh install of 3.0.3.9. After entering the database info on the install page I get an upgrade page. When I click continue on the upgrade page, I get the following error:
SyntaxError: Unexpected token '<', "Warning"... is not valid JSON parsererror Warning: Undefined array key "config_name" in /home/public_html/shop3/upload/install/model/upgrade/1004.php on line 133

Running on Apache 2.4.59 with PHP 8 and MySQL 8.0.36. Running the install via Chrome Version 124.0.6367.208

Newbie

Posts

Joined
Tue May 21, 2024 12:45 am

Post by ADD Creative » Tue May 21, 2024 4:40 pm

You shouldn't get the update page if it's a clean install. Maybe you have run the install twice or your config files were not empty.

Also there is no code on line 133 of install/model/upgrade/1004.php that could generate an error. Maybe your files have been modified. Where did you download it from?

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by seanpam » Wed May 22, 2024 2:17 am

I grabbed it using git. I've redownloaded it from the previous release page on the opencart site, https://www.opencart.com/index.php?rout ... ad/history. Its the 3.0.3.9 version and the install completed without issue. Thank you!

Newbie

Posts

Joined
Tue May 21, 2024 12:45 am
Who is online

Users browsing this forum: Bing [Bot] and 11 guests